package GestaoBancos;


/**
 * Representa uma conta-poupana que contabiliza juros.
 * 
 * @author (Joo Carlos Pascoal Faria) 
 * @version (20 de Fevereiro de 2003)
 */
public class ContaPoupanca extends ContaBancaria
{
    private double taxaJuros;

    public ContaPoupanca(Cliente cliente, double saldo, double taxaJuros) throws SaldoNegativo
    {
        super(cliente,saldo);
        this.taxaJuros = taxaJuros;
    }
    
    public void acumulaJuros()
    {
        depositar(getSaldo()*(1 + taxaJuros / 100));
    }
    
    public String toString()
    {
        return "ContaPoupanca(numero=" + numero + ", cliente=" + cliente + ", saldo=" + saldo + ", taxaJuros=" + taxaJuros + "%)"; 
    }

}
