
/**
 * Programa que imprime no ecr uma aposta do totoloto gerada aleatoriamente.
 * 
 * @author Joo Carlos Pascoal Faria
 * @version 23 de Janeiro de 2003
 */

 
public class totoloto
{
   /***** Trabalhar com Arrays ********/
    
   // sort elements of array with bubble sort (Deitel & Deitel, Java How to Program)
   static void sort( int array[] )
   {   
      // loop to control number of passes
      for ( int pass = 1; pass < array.length; pass++ ) 
      { 
         // loop to control number of comparisons
         for ( int i = 0; i < array.length - 1; i++ ) 
         {
            // compare side-by-side elements and swap them if 
            // first element is greater than second element
            if ( array[ i ] > array[ i + 1 ] )
               swap( array, i, i + 1 );
         }
      }  
   }

   // swap two elements of an array
   static void swap( int array[], int first, int second )
   {
      int hold = array[ first ];         
      array[ first ] = array[ second ];  
      array[ second ] = hold;
   }

    
    // Searches a "key" in a "array", between positions "low" and "high"
    // Returns the position where it was found or -1, in case it is not found
    static int sequentialSearch( int array[], int low, int high, int key)                 
    {             
        for (int i = low; i <= high; i++)
            if (array[i] == key)
                return i;  // key found at position "i"
                
        return -1; // key not found
    }
    

   /***** Trabalhar com Apostas do Totoloto ********/

    static final int TAMANHO_APOSTA = 6;
    static final int MAXIMO_APOSTA = 47;

    // Imprime um array com aposta do totoloto no ecr, precedida de um ttulo 
    static void imprimeAposta(String titulo, int aposta[])
    {
         System.out.print(titulo);   
         
         for (int i = 0; i < aposta.length; i++)
            System.out.print(" " + aposta[i]); 
            
         System.out.println("");
    }

    // Preenche array com aposta de totoloto gerada aleatoriamente,
    // isto , com valores distintos compreendidos entre 1 e MAXIMO_APOSTA.
    // Os valores ficam ordenados.
    static void geraAposta(int aposta[])
    {
        // ciclo para percorrer e preencher as vrias posies do array
        for (int i = 0; i < aposta.length; i++)
        {
            int proximoValor;
            
            // gera valor at ser diferente dos anteriores
            do
                proximoValor =  1 + (int)(Math.random() * MAXIMO_APOSTA);
            while (sequentialSearch(aposta, 0, i, proximoValor) != -1);

            // guarda valor no array                
            aposta[i] = proximoValor;
        }
        
        // ordena a aposta
        sort(aposta);
     }
        
    
    // Imprime no ecr 1 aposta do totoloto gerada aleatoriamente
    public static void main(String args[])
    {   
        int aposta[] = new int[TAMANHO_APOSTA];
        geraAposta(aposta);
        imprimeAposta("Aposta:",aposta);
    }
}

